# https://download.bleachbit.org/bleachbit-2.0.tar.bz2

Name:           bleachbit
Version:        2.0
Release:        %mkrel 1
Summary:        BleachBit deletes unnecessary files to free valuable disk space
Summary(de):    BleachBit löscht unnötige Dateien um Festplattenplatz zu "befreien"

License:        GPLv3
Group:          File tools
URL:            https://www.bleachbit.org/
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-root.desktop
Source2:        %{name}-root.png
Source3:        apt.xml
Source4:        bleachbit.desktop
Patch0:         bb18.patch

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:	python-devel
Requires:       gksu
Requires:       gnome-python
Requires:       gnome-python-gnomevfs
Requires:       %{_lib}mhash2
Requires:       pygtk2.0 >= 2.6
Requires:       python >= 2.6.6

%description
BleachBit deletes unnecessary files to free valuable disk space
and maintain privacy. Rid your system of old junk including cache,
temporary files, and cookies. Designed for Linux systems, it
wipes clean Bash, Beagle, Epiphany, Firefox, Adobe Flash, Java,
KDE, OpenOffice.org, Opera, rpmbuild, XChat, and more.

%description -l de
Bleachbit ist ein Systembereinigungsprogramm für Gnome, KDE und XFCE mit
dem temporäre Dateien einer Vielzahl von Anwendungen bereinigt werden können.
Das Programm bietet sicherheitshalber eine Vorschau der vorzunehmenden Änderungen.
Die Anwendung gibt es auch für andere Linux-Systeme wie Fedora, Debian,
OpenSuse, Mandriva und viele andere. Bleachbit entfernt temporäre Dateien
folgender Anwendungen.
*Adobe Reader
*APT
*Bash
*Beagle
*Epiphany
*Firefox
*Adobe Flash
*GIMP
*Google Earth
*Java
*OpenOffice.org
*Konqueror
*Skype
*Vim
*Xchat
*usw

%prep
%setup -q
%apply_patches
%__sed -i '/^online_update_notification_enabled/ s/True/False/' bleachbit/__init__.py
%__sed -i  '/^#!\//, 1d' bleachbit/{CLI,GUI}.py

%build
%__make -C po local prefix=%{_prefix} libdir=%{_datadir}
%__python setup.py build

%install
%make_install INSTALL="install -p" prefix=%{_prefix}
%__sed -i 's|/usr/bin/env python|/usr/bin/python|g' %{buildroot}/%{_bindir}/%{name}
%__install -m 0644 %{S:1} %{buildroot}%{_desktopdir}/%{name}-root.desktop
%__install -m 0644 %{S:2} %{buildroot}%{_datadir}/pixmaps/%{name}-root.png
%__install -m 0644 %{S:3} %{buildroot}%{_datadir}/%{name}/cleaners/apt.xml
%__install -m 0644 %{S:4} %{buildroot}%{_desktopdir}/%{name}.desktop
%__rm -f %{buildroot}%{_datadir}/%{name}/Windows.py*
%__rm -f %{buildroot}%{_datadir}/%{name}/cleaners/deepscan.xml
find %{buildroot}%{_datadir}/%{name}/cleaners/ -type f -name '*.xml' -exec egrep -rl os.*windows {} + | xargs rm -fv
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%{_bindir}/%{name}
%{_desktopdir}/%{name}*.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}*.png
%{_datadir}/polkit-1/actions/org.%{name}.policy

%changelog
* Mon Oct 08 2018 adrianomorselli <adrianomorselli> 2.0-1uplos2018
- update, changed package architecture to 'noarch'
